Name:		xviewer-plugins
Version:	1.2.0
Release:	6%{?dist}
Summary:	A collection of plugins for xviewer

License:	GPLv2+
URL:		https://github.com/linuxmint/%{name}
Source0:	%{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	libappstream-glib
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	pkgconfig(champlain-gtk-0.12)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libgdata)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(xviewer)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	python%{python3_pkgversion}-devel

Requires:	python%{python3_pkgversion}%{_isa}
Requires:	python%{python3_pkgversion}-xapps-overrides%{_isa}
Requires:	xviewer%{?_isa}

Requires(postun):	/sbin/ldconfig

%description
This package contains plugins for additional features in xviewer.


%prep
%autosetup -p 1
NOCONFIGURE=1 %{_bindir}/gnome-autogen.sh


%build
%configure						\
		--with-plugins=all			\
		--enable-python
%make_build


%install
%make_install
%{_bindir}/find %{buildroot} -type f -name '*.a' -print -delete
%{_bindir}/find %{buildroot} -type f -name '*.la' -print -delete
%find_lang %{name}


%check
%{_bindir}/appstream-util validate-relax --nonet	\
	%{buildroot}%{_datadir}/appdata/*.xml


%post -p /sbin/ldconfig


%postun
/sbin/ldconfig
%if (0%{?fedora} && 0%{?fedora} <=24) || (0%{?rhel} && 0%{?rhel} <= 7)
if [ $1 -eq 0 ] ; then
	%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
%endif # (0%%{?fedora} && 0%%{?fedora} <=24) || (0%%{?rhel} && 0%%{?rhel} <= 7)


%if (0%{?fedora} && 0%{?fedora} <=24) || (0%{?rhel} && 0%{?rhel} <= 7)
%posttrans
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
%endif # (0%%{?fedora} && 0%%{?fedora} <=24) || (0%%{?rhel} && 0%%{?rhel} <= 7)


%files -f %{name}.lang
%license AUTHORS COPYING debian/copyright
%doc ChangeLog NEWS README debian/changelog
%{_libdir}/xviewer/plugins/*
%{_datadir}/appdata/*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/xviewer/plugins/*


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Nov 17 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.0-5
- Add required scriptlets for EPEL7

* Fri Nov 17 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.0-4
- Adaptions for EPEL7

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 08 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.0-1
- Initial import (rhbz#1424826)

* Sun Feb 19 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.0-0.1
- Initial rpm-release (rhbz#1424826)
